buku/urls.py
from django.urls import path


from . import views
from buku.views import dataBuku

app_name = 'buku'

urlpatterns = [
    path('', views.home, name='home'),
    path('dataBuku/', dataBuku)
]

form/urls.py
from django.urls import path

from . import views

app_name = 'form'

urlpatterns = [
    path('', views.form, name='form'),
    path('submitForm', views.submitForm),
    path('view/', views.view, name='view'),
    path('matkul/<int:pk>', views.matkul, name='matkul'),
    path('hapus/', views.hapus, name='hapus'),
    path('konfirmasiHapus/<int:pk>', views.konfirmasiHapus, name='konfirmasiHapus'),
    path('hapusBeneran/<int:pk>', views.hapusBeneran, name='hapusBeneran'),
]

main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

story1/urls.py
from django.urls import path

from . import views

app_name = 'story1'

urlpatterns = [
    path('', views.home, name='home'),
]

story3/urls.py
from django.urls import path

from . import views

app_name = 'story3'

urlpatterns = [
    path('', views.home, name='home'),
    path('projek/', views.projek, name='projek'),
]

storyppw/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('story1/', include('story1.urls')),
    path('story3/', include('story3.urls')),
    path('form-matkul/', include('form.urls')),
    path('kegiatan/', include('kegiatan.urls')),
    path('buku/', include('buku.urls')),
    path('userAuth/', include('userAuth.urls')),
]

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'base/css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
    <div class="content">
        <div class="content-inside">
            <div class="navbar1">
                <div class="barLeft">
                    <a href="{% url 'main:home' %}">Story PPW<a>
                </div>
                <div class="barCenter">
                    <a href="{% url 'main:home' %}">
                        <img src="{% static 'base/img/profile.png' %}" width=45px height=60px />
                    </a>
                </div>
                <div class="barRight">
                    <ul class="listRight">
                        <li class="dropdown2">
                            <a href="{% url 'form:form' %}" class="dropbtn">Form Matkul</a>
                            <div class="dropdown-content2">
                              <a href="{% url 'form:form' %}">Tambah Matkul</a>
                              <a href="{% url 'form:view' %}">Lihat Matkul</a>
                              <a href="{% url 'form:hapus' %}">Hapus Matkul</a>
                            </div>
                        </li>
                        <li class="dropdown3">
                            <a href="{% url 'kegiatan:kegiatan' %}" class="dropbtn">Kegiatan</a>
                            <div class="dropdown-content3">
                              <a href="{% url 'kegiatan:tambahKegiatan' %}">Tambah Kegiatan</a>
                              <a href="{% url 'kegiatan:kegiatan' %}">Lihat Kegiatan</a>
                            </div>
                        </li>
                        <li><a href="{% url 'buku:home' %}">Buku</a></li>
                        <li><p class="paragraph">|</p></li>
                        {% if user.is_authenticated %}
                            <li><p class="paragraph">Halo, {{ user.username }}</p></li>
                            <li><a href="{% url 'userAuth:logout' %}">Logout</a></li>
                        {% else %}
                            <li><a href="{% url 'userAuth:signup' %}">Sign Up</a></li>
                            <li><a href="{% url 'userAuth:login' %}">Login</a></li>
                        {% endif %}
                    </ul>
                </div>
            </div>
            {% block content %}
            {% endblock content %}
        </div>    
    </div>
    <div class="footer1">
        <div class="barLeft">
            <a id="ricoFooter" href="">Rico Tadjudin</a>
        </div>
        <div class="barCenter">
            <a href="https://www.facebook.com/rico.tadjudin/">
                <img src="{% static 'base/img/facebook logo.png' %}" width=35px height=35px />
            </a>
            <a href="https://www.instagram.com/rico_tadjudin/">
                <img src="{% static 'base/img/instagram logo.png' %}" width=35px height=35px />
            </a>
            <a href="https://www.youtube.com">
                <img src="{% static 'base/img/youtube logo.png' %}" width=35px height=35px />
            </a>
        </div>
        <div class="barRight">
            <ul class="listRight">
                <li><a href="{% url 'main:home' %}">Home</a></li>
                <li><a href="{% url 'story1:home' %}">Story 1</a></li>
                <li><a href="{% url 'story3:home' %}">Story 3</a></li>
                <li><a href="{% url 'form:form' %}">Form Matkul</a></li>
                <a href="{% url 'kegiatan:kegiatan' %}">Kegiatan</a>
            </ul>
        </div>
    </div>
</body>
  
</html>